C
C *** INPUT OF DATA FOR THE HASKELL,S UNILATERAL DISLOCATION SOURCE ***
C
      SUBROUTINE DATHKU(FLL,FLW,STR,DIP,FLD,RST,VR,NVR)
      IMPLICIT REAL*8(A-H,O-Z)
      CHARACTER FNAME*30
C
      WRITE(*,*)
      WRITE(*,1000)
   10 WRITE(*,1010)
      READ(*,'(A)')FNAME
      IF(FNAME(1:1).EQ.' ')GOTO 10
 1000 FORMAT( ' From SUBROUTINE DATHKU :')
 1010 FORMAT(/' Enter Data File Name for'
     *        ' the Haskell''s unilateral source :',\)
C
      OPEN (8,FILE=FNAME)
      READ(8,2000)FLL,FLW
      READ(8,2000)STR,DIP
      STR=STR*0.01745329252D0
      DIP=DIP*0.01745329252D0
      READ(8,2000)FLD,RST
      READ(8,2100)VR,NVR
      CLOSE(8)
 2000 FORMAT(2F10.0)
 2100 FORMAT(F10.0,I10)
C
      WRITE(*,3000)FLL,FLW
      WRITE(*,3100)STR,DIP
      WRITE(*,3200)FLD,RST
      IF(NVR.NE.1)THEN
        WRITE(*,3300)VR
      ELSE
        WRITE(*,3400)
      END IF
 3000 FORMAT(//' Fault Length  (m)=',F12.3,', Fault Width(m)=',F12.3)
 3100 FORMAT(  ' Strike Angle(rad)=',F12.8,', Dip Angle(rad)=',F12.8)
 3200 FORMAT(  ' Dislocation   (m)=',F12.5,', Rise Time(sec)=',F12.8)
 3300 FORMAT(  ' Rupture Velocity (m/s) =',F12.3)
 3400 FORMAT(  ' Rupture Velocity (m/s) = Infinite ')
C
      WRITE(*,*)
C
      RETURN
      END
